package ch.psi.daq.queryrest.response;

import java.util.List;
import java.util.Map.Entry;
import java.util.stream.Stream;

import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang3.tuple.Triple;

import ch.psi.daq.domain.json.ChannelName;
import ch.psi.daq.domain.query.DAQQueryElement;
import ch.psi.daq.domain.query.operation.ResponseOptions;
import ch.psi.daq.query.model.impl.BackendQuery;

public interface ResponseStreamWriter {

   /**
    * Responding with the the contents of the stream by writing into the output stream of the
    * {@link ServletResponse}.
    * 
    * @param results The results results
    * @param options The options for the response
    * @param response {@link ServletResponse} instance given by the current HTTP request
    * @throws Exception thrown if writing to the output stream fails
    */
   public void respond(List<Entry<DAQQueryElement, Stream<Triple<BackendQuery, ChannelName, ?>>>> results, ResponseOptions options,
         HttpServletResponse response) throws Exception;
}
