package ch.psi.daq.test.queryrest.status;

import java.util.concurrent.CompletableFuture;

import ch.psi.daq.common.time.TimeUtils;
import ch.psi.daq.domain.json.ChannelName;
import ch.psi.daq.domain.json.status.channel.ChannelStatus;
import ch.psi.daq.domain.reader.Backend;
import ch.psi.daq.domain.status.AbstractStatusReader;

public class DummyCassandraStatusReader extends AbstractStatusReader {

   public DummyCassandraStatusReader() {
      super(Backend.SF_DATABUFFER, 30);
   }

   @Override
   public CompletableFuture<ChannelStatus> getChannelStatusAsync(String channel) {
      return CompletableFuture.completedFuture(new ChannelStatus(new ChannelName(channel, getBackend()), false, false,
            TimeUtils.getTimeFromMillis(0, 0)));
   }
}
